Bug 43868 - MBeanServer invoke issue
MBeanServer invoke issue
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.14
All All
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-11-15 01:26 UTC by Fred
Modified: 2014-02-17 13:54 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred 2007-11-15 01:26:51 UTC
Impossible to invoke "removeRole" or other MBean methods and "setAttribute" by
MBeanServer cause of the same bug in ManagedBean.java at both lines 545
(getSetter method) and 604 (getInvoke method):
        object = this;
Must be replace by:
        object = bean;

Fortunately getGetter method is correct.
Comment 1 Mark Thomas 2007-12-29 14:55:28 UTC
This has been fixed in svn and proposed for inclusion in 6.0.x
Comment 2 Mark Thomas 2008-01-10 13:04:52 UTC
This has been fixed in 6.0.x and will be included in 6.0.16 onwards.